Bug 596891 - vhost-net module should be loaded automatically
vhost-net module should be loaded automatically
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
high Severity urgent
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On: 599146
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 14:00 EDT by Andrew Cathrow
Modified: 2014-09-07 18:53 EDT (History)
13 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.77.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 601012 (view as bug list)
Environment:
Last Closed: 2010-07-01 23:29:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cathrow 2010-05-27 14:00:32 EDT
The /etc/sysconfig/modules/kvm.modules script is used at bootup to load the kvm module, however we also need to load the vhost-net module, otherwise we'll see greatly reduced network through-put.

libvirt we automagically use vhost if /dev/vhost-net exists.
We need to automate this process
Comment 7 Eduardo Habkost 2010-06-02 14:27:18 EDT
selinux-policy bug open: https://bugzilla.redhat.com/show_bug.cgi?id=599146
Comment 16 Keqin Hong 2010-06-21 03:53:18 EDT
Verified on qemu-kvm-0.12.1.2-2.77.el6. PASS

Steps:
1. reboot host
2. # lsmod | grep vhost
vhost_net              23066  0 
macvtap                 7701  1 vhost_net
tun                    16583  1 vhost_net

Note You need to log in before you can comment on or make changes to this bug.